MimeTypesConfiguration (Grails 5.2.5)

Package: org.grails.plugins.web.mime

## [Groovy] Class MimeTypesConfiguration

- org.grails.plugins.web.mime.MimeTypesConfiguration

-     @io.micronaut.context.annotation.Factory
      @groovy.transform.CompileStatic
      class MimeTypesConfiguration
      extends java.lang.Object

  Configuration for Codecs

  Authors:
    graemerocher
  Since:
    4.0

- - ### Constructor Summary

    Constructors
    Constructor and description
    `MimeTypesConfiguration (GrailsApplication grailsApplication, java.util.List<MimeTypeProvider> mimeTypeProviders)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected java.util.Map<java.lang.CharSequence, java.lang.Object>` | `getMimeConfig(Config config)`
    `` | `protected MimeTypeResolver` | `mimeTypeResolver()`
    `` | `MimeType[]` | `mimeTypes()`
    `` | `MimeTypesHolder` | `mimeTypesHolder()`
    `` | `protected MimeUtility` | `mimeUtility(MimeTypesHolder mimeTypesHolder)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Constructor Detail

    - #### MimeTypesConfiguration(GrailsApplication grailsApplication, java.util.List<MimeTypeProvider> mimeTypeProviders)

  - ### Method Detail

    - #### @groovy.transform.CompileStatic(value: TypeCheckingMode.SKIP) protected java.util.Map<java.lang.CharSequence, java.lang.Object> getMimeConfig(Config config)

    - #### @org.springframework.context.annotation.Bean(value: mimeTypeResolver) @org.springframework.context.annotation.Primary protected MimeTypeResolver mimeTypeResolver()

    - #### @org.springframework.context.annotation.Bean(value: mimeTypes) @org.springframework.context.annotation.Primary MimeType[] mimeTypes()

    - #### @org.springframework.context.annotation.Bean(value: mimeTypesHolder) @org.springframework.context.annotation.Primary MimeTypesHolder mimeTypesHolder()

    - #### @org.springframework.context.annotation.Bean(value: grailsMimeUtility) @org.springframework.context.annotation.Primary protected MimeUtility mimeUtility(MimeTypesHolder mimeTypesHolder)